# softenv.config.pl $
#
# This is the file that is modified to configure SoftEnv. 
#
# **Important Note**: This file is also used by shell scripts to define
# variables, despite the .pl suffix.  Therefore some rules apply
# to these 12 scalar definitions:
#
# 1) There must be no indentation
# 2) There must not be any spaces in any values assigned, they will be
#   truncated.
# 3) You can use previous variables to set other vars, as is probably
#   shown below
#
$package_name = "SoftEnv";
$version      = "1.2.0";
$prefix       = "!SOFTENV_HOME!";

# source databases
$dbpath    = "$prefix/etc";
$system_db = "$dbpath/soft.db";
$beta_db   = "$dbpath/soft-beta.db";
$auto_db   = "$dbpath/soft-auto.db";

# compiled database
$database = "$dbpath/soft.dbc";

# compiled test database
$test_database = "$dbpath/soft.test.dbc";

# html log
$htmllog = "/homes/bailey/public_html/soft.blah.html";

# location of user's .software file
$default_softfile = "$HOME/.soft";
$nosoftfile = "$HOME/.nosoft";

# default contents for empty/missing .software files
@softdef  = ('@default');

# These are the supported architectures. Assumes `whatami` returns
# one of these strings.
%supported = (
	"irix-6"    => 1,
	"irix-5"    => 1,
	"aix-4"     => 1,
	"solaris-2" => 1,
	"freebsd"   => 1,
        "sun4"      => 1,
        "linux"     => 1,
);
